NewWacht Bench is live — AI-assisted development for Wacht

Read Skill File

GET
/ai/agents/{agent_id}/skills/file

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Path Parameters

agent_id*string

Query Parameters

scope*string
path?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.wacht.dev/ai/agents/string/skills/file?scope=string"
{
  "scope": "string",
  "path": "string",
  "is_text": true,
  "size_bytes": 0,
  "content": "string",
  "content_base64": "string"
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}